Fedora Linux Support Community & Resources Center
  #1  
Old 12th June 2011, 11:23 PM
dth4h Offline
Registered User
 
Join Date: Mar 2009
Posts: 182
linuxchrome
How to install Miro 4.0?

So Miro 4.0 is out and it is pretty cool. But I can't download the 4.0 version from there site. They only have a 4.0 version for Ubuntu (as always (Do you sense a hint of jealousy?)). Its not in the main Fedora repos either, its not even in rawhide! So is there a package somewhere or someway to install with out having to compile it?
Reply With Quote
  #2  
Old 25th February 2012, 07:13 PM
Runningman Offline
Registered User
 
Join Date: Feb 2012
Location: Germany
Posts: 3
linuxfirefox
Re: How to install Miro 4.0?

Could we expect to find Miro 4 in the appropriate repositories in the near future???
It is a really a fancy app and available for almost every distribution, exept Fedora?!?
Reply With Quote
  #3  
Old 25th February 2012, 07:51 PM
nonamedotc Offline
Community Manager
 
Join Date: Mar 2011
Location: USA
Posts: 3,919
linuxfirefox
Re: How to install Miro 4.0?

I have never used miro and so for fun, I downloaded the opensuse rpm file from the packman site and tried to install it using yum. List of dependencies required are attached. Installation failed because of failed dependencies.

Code:
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: libavutil.so.50(LIBAVUTIL_50)
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: libavformat.so.52
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: libavcodec.so.52
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: python-gnome
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: libpython2.6.so.1.0
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: python-gnome-extras
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: libavformat.so.52(LIBAVFORMAT_52)
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: libwebkit-1.0.so.2
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: libavcodec.so.52(LIBAVCODEC_52)
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: python-curl
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: python-webkitgtk
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: python-libtorrent-rasterbar
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: gstreamer-0_10-ffmpeg
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: python(abi) = 2.6
           Installed: python-2.7.2-5.2.fc16.x86_64 (@anaconda-0)
               python(abi) = 2.7
               python(abi) = 2.7
           Available: python3-3.2.1-1.fc16.i686 (fedora)
               python(abi) = 3.2
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: gstreamer-0_10-plugins-good
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: python-gstreamer-0_10
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: gstreamer-0_10-plugins-bad
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: python = 2.6
           Installed: python-2.7.2-5.2.fc16.x86_64 (@anaconda-0)
               python = 2.7.2-5.2.fc16
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: libavutil.so.50
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: python-gtk
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: gstreamer-utils
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@achyutah Downloads]# yum install miro-4.0.3-4.27.i586.rpm > deps.txt
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: libavutil.so.50(LIBAVUTIL_50)
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: libavformat.so.52
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: libavcodec.so.52
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: python-gnome
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: libpython2.6.so.1.0
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: python-gnome-extras
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: libavformat.so.52(LIBAVFORMAT_52)
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: libwebkit-1.0.so.2
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: libavcodec.so.52(LIBAVCODEC_52)
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: python-curl
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: python-webkitgtk
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: python-libtorrent-rasterbar
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: gstreamer-0_10-ffmpeg
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: python(abi) = 2.6
           Installed: python-2.7.2-5.2.fc16.x86_64 (@anaconda-0)
               python(abi) = 2.7
               python(abi) = 2.7
           Available: python3-3.2.1-1.fc16.i686 (fedora)
               python(abi) = 3.2
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: gstreamer-0_10-plugins-good
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: python-gstreamer-0_10
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: gstreamer-0_10-plugins-bad
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: python = 2.6
           Installed: python-2.7.2-5.2.fc16.x86_64 (@anaconda-0)
               python = 2.7.2-5.2.fc16
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: libavutil.so.50
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: python-gtk
Error: Package: miro-4.0.3-4.27.i586 (/miro-4.0.3-4.27.i586)
           Requires: gstreamer-utils
Looks like fedora updates are little "too updated"
Attached Files
File Type: txt deps.txt (16.2 KB, 76 views)
Reply With Quote
  #4  
Old 25th February 2012, 08:42 PM
RupertPupkin Offline
Registered User
 
Join Date: Nov 2006
Location: Detroit
Posts: 5,722
linuxfedorafirefox
Re: How to install Miro 4.0?

You could try downloading the 4.0.6 source code here: http://ftp.osuosl.org/pub/pculture.org/miro/src/

Then follow the build directions here: http://develop.participatoryculture....LinuxBuildDocs
__________________
OS: Fedora 20 x86_64 | Machine: HP Pavilion a6130n | CPU: AMD 64 X2 Dual-Core 5000+ 2.6GHz | RAM: 5GB PC5300 DDR2 | Disk: 400GB SATA | Video: ATI Radeon HD 4350 512MB | Sound: Realtek ALC888S | Ethernet: Realtek RTL8201N
Reply With Quote
  #5  
Old 25th February 2012, 08:45 PM
Runningman Offline
Registered User
 
Join Date: Feb 2012
Location: Germany
Posts: 3
linuxfirefox
Re: How to install Miro 4.0?

Thanks RupertPupkin, I will check that out!
Reply With Quote
  #6  
Old 25th February 2012, 09:48 PM
leigh123linux
Guest
 
Posts: n/a
linuxfirefox
Re: How to install Miro 4.0?

Or you could rebuild the srpm, it will be included in rpmfusion soon.

http://buildsys.rpmfusion.org/logs/f...2.fc17.src.rpm
Reply With Quote
  #7  
Old 25th February 2012, 10:25 PM
nonamedotc Offline
Community Manager
 
Join Date: Mar 2011
Location: USA
Posts: 3,919
linuxfirefox
Re: How to install Miro 4.0?

Quote:
Originally Posted by RupertPupkin View Post
You could try downloading the 4.0.6 source code here: http://ftp.osuosl.org/pub/pculture.org/miro/src/

Then follow the build directions here: http://develop.participatoryculture....LinuxBuildDocs
Ah Thanks rupert! Learnt something important from this post!
Reply With Quote
  #8  
Old 25th February 2012, 10:53 PM
PabloTwo Offline
"Registered User" T-Shirt Winner
 
Join Date: Mar 2007
Location: Seville, FL
Posts: 6,199
linuxfirefox
Re: How to install Miro 4.0?

I grabbed the SRPM from the link Leigh posted and did a rebuild on F16.x86_64.

miro-4.0.6-2.fc16.x86_64.rpm

You can download the above rpm package from MediaFire
I may have the 32 bit version available from the same site as well sometime soon.

Edit: 32 bit package uploaded.

Last edited by PabloTwo; 25th February 2012 at 11:19 PM.
Reply With Quote
  #9  
Old 25th February 2012, 10:57 PM
Runningman Offline
Registered User
 
Join Date: Feb 2012
Location: Germany
Posts: 3
linuxfirefox
Re: How to install Miro 4.0?

this is even better! thanks a lot Pablo
Reply With Quote
Reply

Tags
miro, miro 4.0, rpm

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Miro 4 released mmix Linux Chat 0 27th May 2011 12:17 AM
Fc9 Miro does not play mp4 Oz Dror Using Fedora 2 1st October 2008 04:22 PM
Latest Miro RPM can't find Movies/Miro directory zachsm Using Fedora 1 30th September 2008 09:22 PM
Miro help BattleStarJesus Using Fedora 3 24th July 2008 10:24 PM
Miro TV Card Paul@home Hardware & Laptops 4 1st July 2004 05:41 AM


Current GMT-time: 09:31 (Thursday, 27-11-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat
Lago De Sanabria Photos on Instagram - Cafe Lago Travel Photos on Instagram - Mumbai